
var intervalID = window.setInterval(checkStatus, 2000);

async function fetchData(url) {
 const response = await fetch(url);
 const data = await response.text();
 return data;
}

async function checkStatus() {
 try {
 data = await fetchData("../../status"+'?'+Math.round(+new Date()/1000));
	document.getElementById("status").innerText=data;
	document.documentElement.classList.remove("offline");
 }
 catch(error) {
	document.getElementById("status").innerText="Please check Network-Connection to Backend! "+error.message;
	document.documentElement.classList.add("offline");
 }
}

function send() {
 var color = document.getElementById("myColor").value;
 var name = document.getElementById("myName").value;
 var time = document.getElementById("myTime").value;
 document.getElementById("output").innerHTML += color+' '+time+'\n';
 fetch("../../"+name+"/color/"+color.replaceAll('#',''));
 fetch("../../"+name+"/time/"+time.replaceAll(':','/'));
}

function range(element){
 elementName=element.id;
 var name = document.getElementById("myName").value;
 var range = document.getElementById(elementName).value;
  fetch("../../"+name+"/"+elementName+"/"+range);
}


const now=new Date();
const hours = now.getHours().toString().padStart(2, '0');
const minutes = now.getMinutes().toString().padStart(2, '0');
const seconds = now.getSeconds().toString().padStart(2, '0');

document.getElementById("myTime").value=`${hours}:${minutes}:${seconds}`;







